package shop.alien.store.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.LifeMessage;
import shop.alien.entity.store.vo.LifeFansVo;
import shop.alien.entity.store.vo.LifeMessageVo;

import java.util.List;

public interface LifeMessageService extends IService<LifeMessage> {

    List<LifeMessageVo> getMessageList(String receiverId, int friendType, String search,String userName) throws Exception;

    LifeMessageVo getStrangerMessageNum(String receiverId) throws Exception ;

    LifeMessageVo getNoFriendMessageNum(String receiverId) throws Exception ;

    JSONObject getMessageListByReceiverId(String senderId, String receiverId) throws Exception;

    String isStranger(String senderId, String receiverId) throws Exception;

    int read(String receiverId, String senderId) throws Exception;

    int noReadCount(String receiverId)throws Exception;

    int deleteMessageByPhoneId(String senderId, String receiverId) throws Exception;

    int getAllNoReadCount(String receiverId) throws Exception;

    List<LifeFansVo> getTalkedUserList() throws Exception;

    boolean isBanned(String phoneId);
}
